/*
 * This file is part of ArmarX.
 *
 * ArmarX is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * ArmarX is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * @package    RobotAPI
 * @author     Raphael ( ufdrv at student dot kit dot edu )
 * @date       2017
 * @copyright  http://www.gnu.org/licenses/gpl-2.0.txt
 *             GNU General Public License
 */

#ifndef _ARMARX_LIB_RobotAPI_ControlModes_H
#define _ARMARX_LIB_RobotAPI_ControlModes_H

#include <string>

namespace armarx
{
    namespace ControlModes
    {
        //'normal' actor modes
        static const std::string Position1DoF = "ControlMode_Position1DoF";
        static const std::string Torque1DoF   = "ControlMode_Torque1DoF";
        static const std::string Velocity1DoF = "ControlMode_Velocity1DoF";

        //modes for holonomic platforms
        static const std::string HolonomicPlatformVelocity = "ControlMode_HolonomicPlatformVelocity";
        static const std::string HolonomicPlatformRelativePosition = "ControlMode_HolonomicPlatformRelativePosition";

        //special sentinel modes
        static const std::string EmergencyStop = "ControlMode_EmergencyStop";
        static const std::string StopMovement = "ControlMode_StopMovement";
    }
}
#endif
